<?php

//mail para IV
    include '../rdb/conn.php';
    $id = isset($_POST['rs_id']) ? intval($_POST['rs_id']) : -1;

	$sql= "SELECT  distinct
				r.id,
				daad_acta, 
				dil_ninterno, 
				daab_ltoma_snof, 
				daad_ftoma,
				mail_siv, 
				mail_siv_cc, 
				mail_creha_cc,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=2 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) dte,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=11 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) caratula,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=12 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) acta,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=13 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) protocolo
		FROM 		
				eventos_programados_rojo e,
				resultados_rojo r 
		WHERE 
				fcumplimiento='0000-00-00' and  
				e.resultado_id=r.id and 
				e.tipo_evento_id=1 and
				tipo_tramite_id in (2,11,12,13) and
				fevento<=sysdate() and ";
				
	if ($id==-1) {			
		$sql.= "	e.resultado_id not in 
				(select resultado_id
					from 
						eventos_programados_rojo er 
					where tipo_evento_id=2 and tipo_tramite_id in (2 ,11,12,13) and
						TIMESTAMPDIFF(	DAY,fevento,
										DATE(DATE_SUB(NOW(), INTERVAL 7 DAY))
									 ) < 0
				)";
	} else {
		$sql.= "	e.resultado_id = ".$id ; 
	}
     $resultado = mysqli_query( $conn,$sql);

     while ($row= mysqli_fetch_array($resultado, MYSQL_ASSOC)) {
    	
    	    $acta = $row["daad_acta"];
	    $fecha_toma = date("d-m-Y", strtotime($row["daad_ftoma"]));   
	    $nromuestra = $row["dil_ninterno"];
	    $snof = $row["daab_ltoma_snof"];
	    $mail_to= $row["mail_siv"];
	    $mail_cc= $row["mail_siv_cc"];
	    $mail_creha_cc= $row["mail_creha_cc"];
	    $mail_creha= "creha@senasa.gob.ar";

	    $reclamo="";
	    
 if ($row["dte"]<>"0") {$reclamo .= "DTe"; }
 if ($row["caratula"]<>"0") {
 			if ($reclamo!="") {
				
				$reclamo .= ", Comunicaci&oacute;n de Exceso";
			} else 
			{
				$reclamo .= " Comunicaci&oacute;n de Exceso";
			}
 }
 
 if ($row["acta"]<>"0") {
                       if ($reclamo!="") {
				$reclamo .= ", Acta";
			} else 
			{
				$reclamo .= " Acta";
			}
 }
 
if ($row["protocolo"]<>"0") {
			if ($reclamo!="") {
				$reclamo .= ", Protocolo Anal&iacute;tico";
			} else 
			{
				$reclamo .= "Protocolo Anal&iacute;tico";
			}
 }
 
 // título
		$titulo = 'Solicitud de documentacion de un exceso';

		// mensaje
		$mensaje = '<html>
		<head>
			<title></title>
		</head>
		<body>
		<p></p>

		<p><meta charset="utf-8" /></p>
		<p dir="ltr"><b id="docs-internal-guid-6298e9c4-b4f5-e3cc-9e88-8d2311e95604">SOLICITUD DE ENVIO DE DOCUMENTACION&nbsp;DE EXCESO AL SIV</b></p>
		<p dir="ltr">Sr. Coord. Tem. Inocuidad Agroalimentaria</p>
		<p>Sr. Jefe de Servicio - &nbsp;</p>
		<p>Est. oficial n&ordm; '.$snof.'</p>
		<p>Habiendo recibido la comunicaci&oacute;n de exceso del laboratorio,&nbsp;s&iacute;rvase&nbsp;remitir&nbsp;en un plazo &nbsp;no mayor a las 48hs la siguente documentaci&oacute;n  autenticada (firmada y sellada): &nbsp; </p><p>'.$reclamo.'</p><p>correspondiente al siguiente Exceso:</p>
		<ul>
			<li>Datos del exceso:</li>
			<li>Acta de toma de muestra: '.$acta.'</li>
			<li>Fecha de toma de muestra: '.$fecha_toma.'</li>
			<li>Numero de muestra: '.$nromuestra.'</li>
		</ul>
		<p></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">Atentamente.</span></span></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">Med. Vet. Maria E. Carullo</span></span></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">Coordinadora</span></span></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">SENASA</span></span></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">COORDINACI&Oacute;N PLAN CREHA</span></span></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">PASEO COLON 439 &ndash; CP 1063 &ndash; 5&ordm; PISO &ndash; CAPITAL FEDERAL</span></span></p>
		<p><span style="font-family:trebuchet ms,helvetica,sans-serif;"><span style="font-size:14px;">TE 4121-5325</span></span></p>
		<img src="http://www.vetcomunicaciones.com.ar/uploadsfotos/bannersenasa.png" />




		</body>
		</html>
		';

		// Para enviar un correo HTML, debe establecerse la cabecera Content-type
		$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
		$cabeceras .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";

		// Cabeceras adicionales
		$cabeceras .= 'To: '. $mail_to . "\r\n";
		$cabeceras .= 'From: '.$mail_creha. "\r\n";
		$cabeceras .= 'Cc: '.$mail_cc . "\r\n";
		$cabeceras .= 'Bcc: '. $mail_creha  . "\r\n";
		$cabeceras .= 'Reply-To: '.$mail_creha ;

       	    
        if ($row["dte"]<>"0") {
            $sqlinsert="INSERT INTO  eventos_programados_rojo 
						( fevento ,  tipo_evento_id ,  fcumplimiento ,  evt_observaciones ,  
						evtResponsable_id ,  resultado_id ,  tipo_tramite_id ,  
						tipo_modo_reclamo_id ,  destinatario ,  direccion_de_reclamo ,  
						evento_original_id ,   direccion_de_reclamo_copia ,mail_titulo,mail_cuerpo) 
				select sysdate(), 2, sysdate(), 'Reclamo automatico ' ,  
				evtResponsable_id ,  resultado_id ,  tipo_tramite_id , 
				tipo_modo_reclamo_id ,  destinatario ,  '".$mail_to."',". $row["dte"].",  '".$mail_cc."', '".$titulo."','".$mensaje."'
				from 
				eventos_programados_rojo 
				where resultado_id=".$row["id"]." and 
				evento_id=".$row["dte"]." and tipo_evento_id=1";

            @mysqli_query( $conn,$sqlinsert);
		$myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
					fwrite($myfile, "\n");
					fwrite($myfile, $sqlinsert);
					fwrite($myfile, "\n");        	    
					fclose($myfile);                    

			
		}
    	if ($row["caratula"]<>"0") {
            $sqlinsert="INSERT INTO  eventos_programados_rojo 
						( fevento ,  tipo_evento_id ,  fcumplimiento ,  evt_observaciones ,  
						evtResponsable_id ,  resultado_id ,  tipo_tramite_id ,  
						tipo_modo_reclamo_id ,  destinatario ,  direccion_de_reclamo ,  
						evento_original_id ,   direccion_de_reclamo_copia,mail_titulo,mail_cuerpo ) 
				select sysdate(), 2, sysdate(), 'Reclamo automatico ' ,  
				evtResponsable_id ,  resultado_id ,  tipo_tramite_id , 
				tipo_modo_reclamo_id ,  destinatario  ,  '".$mail_to."',". $row["caratula"].",  '".$mail_cc."', '".$titulo."','".$mensaje."'
				from 
				eventos_programados_rojo 
				where resultado_id=".$row["id"]." and 
				evento_id=".$row["caratula"]." and tipo_evento_id=1";

            @mysqli_query( $conn,$sqlinsert);
		$myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
					fwrite($myfile, "\n");
					fwrite($myfile, $sqlinsert);
					fwrite($myfile, "\n");        	    
					fclose($myfile);                    
			

		}
    	if ($row["acta"]<>"0") {
            $sqlinsert="INSERT INTO  eventos_programados_rojo 
						( fevento ,  tipo_evento_id ,  fcumplimiento ,  evt_observaciones ,  
						evtResponsable_id ,  resultado_id ,  tipo_tramite_id ,  
						tipo_modo_reclamo_id ,  destinatario ,  direccion_de_reclamo ,  
						evento_original_id ,   direccion_de_reclamo_copia ,mail_titulo,mail_cuerpo) 
				select sysdate(), 2, sysdate(), 'Reclamo automatico ' ,  
				evtResponsable_id ,  resultado_id ,  tipo_tramite_id , 
				tipo_modo_reclamo_id ,  destinatario ,     '".$mail_to."',". $row["acta"].",  '".$mail_cc."', '".$titulo."','".$mensaje."'
				from 
				eventos_programados_rojo 
				where resultado_id=".$row["id"]." and 
				evento_id=".$row["acta"]." and tipo_evento_id=1";

            @mysqli_query( $conn,$sqlinsert);			
		$myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
					fwrite($myfile, "\n");
					fwrite($myfile, $sqlinsert);
					fwrite($myfile, "\n");        	    
					fclose($myfile);                    
			
		}
    	if ($row["protocolo"]<>"0") {
            $sqlinsert="INSERT INTO  eventos_programados_rojo 
						( fevento ,  tipo_evento_id ,  fcumplimiento ,  evt_observaciones ,  
						evtResponsable_id ,  resultado_id ,  tipo_tramite_id ,  
						tipo_modo_reclamo_id ,  destinatario ,  direccion_de_reclamo ,  
						evento_original_id ,   direccion_de_reclamo_copia ,mail_titulo,mail_cuerpo) 
				select sysdate(), 2, sysdate(), 'Reclamo automatico ' ,  
				evtResponsable_id ,  resultado_id ,  tipo_tramite_id , 
				tipo_modo_reclamo_id ,  destinatario ,     '".$mail_to."',". $row["protocolo"].",  '".$mail_cc."', '".$titulo."','".$mensaje."' 
				from 
				eventos_programados_rojo 
				where resultado_id=".$row["id"]." and 
				evento_id=".$row["protocolo"]." and tipo_evento_id=1";

            @mysqli_query( $conn,$sqlinsert);					
		$myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
					fwrite($myfile, "\n");
					fwrite($myfile, $sqlinsert);
					fwrite($myfile, "\n");        	    
					fclose($myfile);                    

		}
		
		

		echo $mensaje;
                //echo $cabeceras;
		// Enviarlo
		mail($para, $titulo , $mensaje, $cabeceras);	

	

	}
    

  




?>